Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
mrchuothoang

Hỏi Về Lisp

Các bài được khuyến nghị

Chào các pro. e thành viên mới và không giỏi về CAD lắm.

e thấy các member hay úp Lisp lên. e download Lisp đó về rồi mà ko biết làm sao nữa.

Mong các Pro chỉ giúp e cách sử dụng Lisp như thế nào cho tốt nhất. Thanks All

:excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Song Nhi    52

Sử dụng Lisp như thế nào cho tốt nhất mình không biết, nhưng nếu bạn download Lisp đó về rồi mà ko biết làm sao nữa thì bạn tham khảo tại các line sau:

http://www.cadviet.com/forum/topic/1787-huong-dan-su-dung-ma-lisp/

http://www.cadviet.com/forum/topic/26380-cho-minh-mao-muoi-hoi-1-cau-cac-ban-nhe/

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
;; free lisp from cadviet.com


(defun add_mline ()

(foreach e_record_sub e_record

(cond ((= 10 (car e_record_sub))

(setq pt1 (cdr e_record_sub)

mline_len 0.0

)

)

((= 11 (car e_record_sub))

(setq pt2 (cdr e_record_sub)

mline_len (+ mline_len (distance pt2 pt1))

pt1 pt2

)

)

)

)

(setq f (+ f mline_len))

(ssdel e_name ss)

)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun C:th (/ f ss e_name e_record e_type)

(setq f 0.0)

(setq ss (ssget))

(if (null ss)

(exit))

(while (> (sslength ss) 0)

(setq e_name (ssname ss 0))

(setq e_record (entget e_name))

(setq e_type (cdr (assoc '0 e_record)))

(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")

(command "lengthen" e_name "")    

(setq f (+ f (getvar "PERIMETER")))

(ssdel e_name ss))

((wcmatch e_type "MLINE") (add_mline))

(e_type (ssdel e_name ss))))

(setq p (getpoint "\n Chon diem nhap ket qua" ))

(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))

(command "text" p h "0" (strcat(rtos f 2 0)))

;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))

(princ));end

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×